Subject: Re: Issue with /etc/netns/${nsname}/hosts

From: Nicolas Dichtel <[email-masked]>
Date: Wed, 2 Sep 2015 18:24:29 +0200

Le 02/09/2015 01:23, James Loosli a écrit :
> I seem to have an issue with using namespace-specific hosts files.
> Here's an example.
>
> I have different entries for foo.com in my hosts file for the
> namespace and the system-wide hosts file;
>
> root@server-01 Tue Sep 01 04:15:02pm
>> cat /etc/netns/nsXX-XXX-240-3/hosts | grep foo
> 1.2.3.4 foo.com
> root@server-01 Tue Sep 01 04:15:15pm
>> ip netns exec nsXX-XXX-240-3 cat /etc/hosts | grep foo
> 1.2.3.4 foo.com
> root@server-01 Tue Sep 01 04:15:19pm
>> cat /etc/hosts | grep foo
> 0.0.0.0 foo.com
>
> But when I try to get curl, ping or other utilities to use that hosts
> file entry, they ignore the namespace-specific file.
>
> root@server-01 Tue Sep 01 04:16:02pm
>> ip netns exec ns91-227-240-3 curl -vv foo.com
Probably a copy and paste error, but the netns name was nsXX-XXX-240-3 in your
example above.
Can you confirm?